FcConfigBuildFonts(3) |  | FcConfigBuildFonts(3)

# NAME

FcConfigBuildFonts - Build font database

# SYNOPSIS

    #include <fontconfig/fontconfig.h>

    FcBool FcConfigBuildFonts (FcConfig *config);

# DESCRIPTION

Builds the set of available fonts for the given configuration. Note that any changes to the configuration after this call (through FcConfigParseAndLoad or FcConfigParseAndLoadFromMemory) have indeterminate effects. (On the other hand, application fonts can still be modified through FcConfigAppFontAddFile, FcConfigAppFontAddDir and FcConfigAppFontClear). Returns FcFalse if this operation runs out of memory. If config is NULL, the current configuration is used.

22 12月 2023 | Fontconfig 2.15.0